package com.wiiboy222.technicraft.init.items;

import net.minecraft.item.Item;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.registry.GameRegistry;

import com.wiiboy222.technicraft.worldGen;
import com.wiiboy222.technicraft.wrenchDrill;
import com.wiiboy222.technicraft.init.items.*;
import com.wiiboy222.technicraft.init.creativetabs.*;

public class itemsInfo{
	@EventHandler
	public void preInit(FMLPreInitializationEvent event) {
		
		//Gems
		
		ultraGem = new ultraGem().setUnlocalizedName("UltraGem").setTextureName("technicraft:gem_ultra").setCreativeTab(Technicraft);
		GameRegistry.registerItem(ultraGem, "Ultra Gem");
		
		rubyGem = new Item().setUnlocalizedName("RubyGem").setCreativeTab(Technicraft).setTextureName("technicraft:gem_ruby");
		GameRegistry.registerItem(rubyGem, "Ruby Gem");
		
		sapphireGem = new Item().setUnlocalizedName("SapphireGem").setCreativeTab(Technicraft).setTextureName("technicraft:gem_sapphire");
		GameRegistry.registerItem(sapphireGem, "Sapphire Gem");
		
		amethystGem = new Item().setUnlocalizedName("AmethystGem").setCreativeTab(Technicraft).setTextureName("technicraft:gem_amethyst");
		GameRegistry.registerItem(amethystGem, "Amethyst Gem");
		
		topazGem = new Item().setUnlocalizedName("TopazGem").setCreativeTab(Technicraft).setTextureName("technicraft:gem_topaz");
		GameRegistry.registerItem(topazGem, "Topaz Gem");
		
		//Metals
		copperMetal = new Item().setUnlocalizedName("CopperIngot").setCreativeTab(Technicraft).setTextureName("technicraft:ingot_copper");
		GameRegistry.registerItem(copperMetal, "Copper Ingot");
				
		tinMetal = new Item().setUnlocalizedName("TinIngot").setCreativeTab(Technicraft).setTextureName("technicraft:ingot_tin");
		GameRegistry.registerItem(tinMetal, "Tin Ingot");
				
		//dusts
		goldDust = new Item().setUnlocalizedName("GoldDust").setCreativeTab(Technicraft).setTextureName("technicraft:dust_gold");
		GameRegistry.registerItem(goldDust, "Gold Dust");
		
		ironDust = new Item().setUnlocalizedName("IronDust").setCreativeTab(Technicraft).setTextureName("technicraft:dust_iron");
		GameRegistry.registerItem(ironDust, "Iron Dust");
		
		copperDust = new Item().setUnlocalizedName("CopperDust").setCreativeTab(Technicraft).setTextureName("technicraft:dust_copper");
		GameRegistry.registerItem(copperDust, "Copper Dust");
		
		tinDust = new Item().setUnlocalizedName("TinDust").setCreativeTab(Technicraft).setTextureName("technicraft:dust_tin");
		GameRegistry.registerItem(tinDust, "Tin Dust");
		
		//tools
		wrenchDrill = new wrenchDrill().setUnlocalizedName("WrenchDrill").setCreativeTab(Technicraft).setTextureName("technicraft:wrench_drill");
		GameRegistry.registerItem(wrenchDrill, "Drill");
		
        //misc
        GameRegistry.registerWorldGenerator(new worldGen(), 1);
}
}
