package com.wiiboy222.technicraft;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkRegistry;
import cpw.mods.fml.common.registry.GameRegistry;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import com.wiiboy222.technicraft.lib.*;

@Mod(modid=libReferences.MODID, name="Technicraft", version=libReferences.VERSION)

public class technicraft {
	
	@SidedProxy(clientSide = libReferences.CLIENT, serverSide = libReferences.COMMON)
	public static proxyCommon proxy;
	
	@Mod.Instance(libReferences.MODID)
    private static technicraft instance = new technicraft();
	
	@EventHandler
	public void preInit(FMLPreInitializationEvent event) {
		

		//Machnines
		grinder = new blockGrinder(false).setHardness(3.5F).setStepSound(Block.soundTypePiston).setBlockName("grinder").setCreativeTab(Technicraft);
        lit_grinder = new blockGrinder(true).setHardness(3.5F).setStepSound(Block.soundTypePiston).setLightLevel(0.875F).setBlockName("grinder");
        
        //misc
        GameRegistry.registerWorldGenerator(new worldGen(), 1);
	}
	@EventHandler
	public void postInit(FMLPostInitializationEvent event){
		proxy.registerRenderInformation();
		
		//Machines
				GameRegistry.registerBlock(grinder, "grinder");
		        GameRegistry.registerBlock(lit_grinder, "lit_grinder");
		        GameRegistry.registerTileEntity(tileEntityGrinder.class, libReferences.MODID + ":grinder");
		        NetworkRegistry.INSTANCE.registerGuiHandler(baseModMain.getInstance(), new grinderGuiHandler());
		        {
		        	GameRegistry.addSmelting(goldDust, new ItemStack(Items.gold_ingot), 1.0F);
		    	    GameRegistry.addSmelting(ironDust, new ItemStack(Items.iron_ingot), 1.0F);
		    	    GameRegistry.addRecipe(new ItemStack(grinder), new Object[] {"FCF", "RIR", "FCF", 'F', Blocks.furnace, 'C', copperMetal, 'R', Items.redstone, 'I', Items.iron_ingot});
		    	    GameRegistry.addRecipe(new ItemStack(grinder), new Object[] {"FRF", "CIC", "FRF", 'F', Blocks.furnace, 'C', copperMetal, 'R', Items.redstone, 'I', Items.iron_ingot});
		        }
	}
	public static baseModMain getInstance() {
		 return instance;
	}
}
